package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 溯源码生成单对象 TssTracecodeapply
 * 
 * @author 杨晓辉
 * @date 2023-07-04
 */
public class TssTracecodeapply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 溯源码生成标识 */
    private String tarcecodeapplyId;

    /**溯源码生成批次号*/
    private String tarcecodeapplyBatchno;

    /** 溯源码生成编号 */
    @Excel(name = "溯源码生成编号")
    private String tarcecodeapplyno;

    /** 出库登记单订单标识 */
    @Excel(name = "出库登记单订单标识")
    private String orderId;

    /** 溯源码模板标识 */
    @Excel(name = "溯源码模板标识")
    private String tracecodetplId;

    /** 库存标识 */
    @Excel(name = "库存标识")
    private String stockId;

    /** 溯源码生成创建者 */
    @Excel(name = "溯源码生成创建者")
    private String tarcecodeapplyCreator;

    /** 溯源码生成创建日期 */
    @Excel(name = "溯源码生成创建日期")
    private String tarcecodeapplyCreateddate;

    public void setTarcecodeapplyId(String tarcecodeapplyId)
    {
        this.tarcecodeapplyId = tarcecodeapplyId;
    }

    public String getTarcecodeapplyId()
    {
        return tarcecodeapplyId;
    }
    public void setTarcecodeapplyno(String tarcecodeapplyno)
    {
        this.tarcecodeapplyno = tarcecodeapplyno;
    }

    public String getTarcecodeapplyno()
    {
        return tarcecodeapplyno;
    }
    public void setOrderId(String orderId)
    {
        this.orderId = orderId;
    }

    public String getOrderId()
    {
        return orderId;
    }
    public void setTracecodetplId(String tracecodetplId)
    {
        this.tracecodetplId = tracecodetplId;
    }

    public String getTracecodetplId()
    {
        return tracecodetplId;
    }
    public void setStockId(String stockId)
    {
        this.stockId = stockId;
    }

    public String getStockId()
    {
        return stockId;
    }
    public void setTarcecodeapplyCreator(String tarcecodeapplyCreator)
    {
        this.tarcecodeapplyCreator = tarcecodeapplyCreator;
    }

    public String getTarcecodeapplyCreator()
    {
        return tarcecodeapplyCreator;
    }
    public void setTarcecodeapplyCreateddate(String tarcecodeapplyCreateddate)
    {
        this.tarcecodeapplyCreateddate = tarcecodeapplyCreateddate;
    }

    public String getTarcecodeapplyCreateddate()
    {
        return tarcecodeapplyCreateddate;
    }

    public void setTarcecodeapplyBatchno(String tarcecodeapplyBatchno){
        this.tarcecodeapplyBatchno = tarcecodeapplyBatchno;
    }
    public String getTarcecodeapplyBatchno(){
        return this.tarcecodeapplyBatchno;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("tarcecodeapplyId", getTarcecodeapplyId())
            .append("tarcecodeapplyno", getTarcecodeapplyno())
            .append("orderId", getOrderId())
            .append("tracecodetplId", getTracecodetplId())
            .append("stockId", getStockId())
            .append("tarcecodeapplyCreator", getTarcecodeapplyCreator())
            .append("tarcecodeapplyCreateddate", getTarcecodeapplyCreateddate())
            .toString();
    }
}
